#搜索结果页
content_v7:
  method : get
  url : /api/janus/search/v7/content
  params :
    query: ${query}
    device_id: ${device_id}
    current_city_id: ${current_city_id}
    version: ${version}
    is_first: ${is_first}
    tab_type: ${tab_type}
    offset: ${offset}

  data: {}
  json: {}

#医院主页搜索
hospital_search:
  method: get
  url: /api/janus/search/hospital_search
  params:
    query: ${query}
    device_id: ${device_id}
    hospital_id: ${hospital_id}
    current_city_id: ${current_city_id}
    version: ${version}
    offset: ${offset}
    size : ${size}

  data: { }
  json: { }

#购物车-猜你喜欢
mine_guess_you_like:
  method: get
  url: /api/janus/product/mine_guess_you_like
  params: {}
  data: {}
  json: {}
  isLogin: 1

#商祥页-详情
product_detail:
  method: get
  url: /api/janus/product/detail
  params:
    service_id: ${service_id}
    service_item_id: ${service_item_id}
    version: ${version}
  data: {}
  json: {}

#商祥页-sku信息
sku_info:
  method: get
  url: /api/janus/product/detail/sku_info
  params:
    service_id: ${service_id}
    service_item_id: ${service_item_id}
  data: {}
  json: {}

#商祥页-美券列表-我的美券点击-744版本及以后-新接口
product_coupon_my_list:
  method: get
  url: /api/janus/product/coupon/my_list
  params:
    start_num: ${start_num}
    tab_id: ${tab_id}
  data: {}
  json: {}
  isLogin: 1

#商祥页-推荐商品-新接口-748以上
service_promotion_related_service_data:
  method: get
  url: /api/janus/service/promotion/related_service/_data
  params:
    service_id: ${service_id}
    page: ${page}
    current_city_id: ${current_city_id}
    version: "7.48.0"
    lat: "39.983161"
    lng: "116.488078"
  data: {}
  json: {}
  isLogin: 1

#品类聚合页面商品列表的
tag_service:
  method: GET
  url: /api/janus/product/tag_service
  params:
    size: ${size}
    tag_ids: ${tag_ids}
    offset: ${offset}
    version: ${version}
    device_id: ${device_id}
  data: { }
  json: { }


#品类聚合页标签和专场
polymer:
  method: GET
  url: /api/janus/product/polymer
  params:
    version: ${version}
    category_polymer_id: ${category_polymer_id}
    device_id: ${device_id}
  data: { }
  json: { }

#医生医院sug列表
keyword_tip:
  method: GET
  url: /api/janus/search/keyword/tip
  params:
    query: ${query}
    lat: ${lat}
    lng: ${lng}
    version: ${version}
  data: {}
  json: {}

#次卡-确认订单
beauty_card_order_confirm:
  method: post
  url: /api/janus/beauty_card/order/confirm
  params: {}
  data:
    sku_id: ${sku_id}
    number: ${number}
    bctraceid: ""
    use_bc_coupon: ${use_bc_coupon}
    bc_coupon_id: ${bc_coupon_id}
  json: {}
  isLogin: 1

#次卡-确认订单页面-修改手机号
beauty_card_update_phone:
  method: post
  url: /api/janus/beauty_card/update_phone
  params: {}
  data:
    authorize_phone: ${authorize_phone}
    authorize_phone_type: ${authorize_phone_type}
    vfc_code: ${vfc_code}
  json: {}
  isLogin: 1
#次卡商详页
beauty_card_detail:
  method: GET
  url: /api/janus/beauty_card/detail
  params:
    spu_id: ${spu_id}
    sku_id: ${sku_id}
    version: ${version}
  data: { }
  json: { }


#次卡商详页-适应机构列表
beauty_card_service_hospital:
  method: GET
  url: /api/janus/beauty_card/service_hospital
  params:
    sku_id: ${sku_id}
    size: ${size}
    offset: ${offset}
    sort_type: ${sort_type}
  data: { }
  json: { }


#次卡-提交订单
beauty_card_order_submit:
  method: post
  url: /api/janus/beauty_card/order/submit
  params: {}
  data:
    phone: ${phone}
    sku_id: ${sku_id}
    number: ${number}
    is_doctor_see: ${is_doctor_see}
    gain_coupon_id: ${gain_coupon_id}
    deduction_price: ${deduction_price}
  json: {}
  isLogin: 1

#次卡-支付平台
beauty_card_payment_method:
  method: get
  url: /api/janus/beauty_card/payment_method
  params:
    payment_id: ${payment_id}
  data: {}
  json: {}
  isLogin: 1

#次卡-微信支付
beauty_card_prepay_wechat:
  method: post
  url: /api/janus/beauty_card/prepay/wechat
  params: {}
  data:
    payment_id: ${payment_id}
  json: {}
  isLogin: 1

#次卡-支付宝支付
beauty_card_prepay_alipay:
  method: post
  url: /api/janus/beauty_card/prepay/alipay
  params: {}
  data:
    is_huabei: ${is_huabei}
    payment_id: ${payment_id}
  json: {}
  isLogin: 1

##次卡-支付宝支付-花呗分期
#beauty_card_prepay_alipay_huabei:
#  method: post
#  url: /api/janus/beauty_card/prepay/alipay
#  params: {}
#  data:
#    huabei_period: ${huabei_period}
#    is_huabei: ${is_huabei}
#    payment_id: ${payment_id}
#  json: {}
#  isLogin: 1

#次卡-订单详情
beauty_card_payment_detail:
  method: get
  url: /api/janus/beauty_card/payment/detail
  params:
    payment_id: ${payment_id}
  data: {}
  json: {}
  isLogin: 1

#次卡-取消订单
beauty_card_payment_delete:
  method: post
  url: /api/janus/beauty_card/payment/delete
  params: {}
  data:
    payment_id: ${payment_id}
  json: {}
  isLogin: 1

#次卡-申请退款
beauty_card_refund_info:
  method: get
  url: /api/janus/beauty_card/refund/info
  params:
    order_id: ${order_id}
  data: {}
  json: {}
  isLogin: 1

#次卡-提交退款申请
beauty_card_refund_submit:
  method: post
  url: /api/janus/beauty_card/refund/submit
  params: {}
  data:
    order_id: ${order_id}
    reason_id: ${reason_id}
    reason_text: ${reason_text}
    reason_type: ${reason_type}
  json: {}
  isLogin: 1

#新版本我的美券
coupon_my_list:
  method: get
  url: /api/janus/product/coupon/my_list
  params:
    start_num: ${start_num}
    tab_id: ${tab_id}
  isLogin: 1


#次卡-订单详情（未使用 和 部分使用 和 已使用）
beauty_card_order_detail:
  method: get
  url: /api/janus/beauty_card/order/detail
  params:
    order_id: ${order_id}
  data: {}
  json: {}
  isLogin: 1


#直播-点击【设置封面】
page_rules:
  method: GET
  url: /api/janus/sales_lead/page_rules
  params:
    version: ${version}
    current_city_id: ${current_city_id}
    page_name: ${page_name}
  data: {}
  json: {}
  isLogin: 1


#首页（灰度）feed-推荐商品类型tab[除必要参数外其余参数使用默认参数形式方便之后调整]
feed_service:
  method: get
  url:  /api/janus/product/mall/service_home_feed
  params:
    version:  ${version}
    device_id: ${device_id}
    current_city_id: ${current_city_id}
    tab_value: ${tab_value}
    first_load: ${first_load}
  data: {}
  json: {}
  isLogin: 0


  #直播polling循环
polling:
  method: get
  url: /api/janus/live/polling
  params:
    stream_id: ${stream_id}
    is_first: ${is_first}
  data: {}
  json: {}


#直播-主播获取美颜
beauty:
  method: get
  url: /api/janus/live/beauty
  params:
    channel_id: ${channel_id}
  data: {}
  json: {}
  isLogin: 1

#直播-主播修改美颜
beauty_post:
  method: post
  url: /api/janus/live/beauty
  params: {}
  data:
    channel_id: ${channel_id}
    is_open: ${is_open}
    smooth: ${smooth}
    white: ${white}
    rosy: ${rosy}
  json: {}
  isLogin: 1


#日记点击大图--关联美购--除了id外其余用默认参数代替
sales_lead_spu_by_diary:
  method: get
  url: /api/janus/sales_lead/spu_by_diary
  params:
    diary_id: ${diary_id}
    current_city_id: ${current_city_id}
    device_id: ${device_id}
    lat: ${lat}
    lng: ${lng}
  data: {}
  json: {}
  isLogin: 0


#项目榜单主页
project_rank:
  method: GET
  url: /api/janus/product/mall/project_rank
  params:
    id: ${id}
    version: ${version}
    current_city_id: ${current_city_id}
  data: {}
  json: {}

#项目榜单-商品榜单排序
commodity_rank:
  method: GET
  url: /api/janus/product/mall/commodity_rank
  params:
    sort_type: ${sort_type}
    commodity_rank_id: ${commodity_rank_id}
    version: ${version}
  data: {}
  json: {}

#首页-品类聚合页icon
resource_bit:
  method: GET
  url: /api/janus/product/home_page/resource_bit
  params:
    current_city_id: ${current_city_id}
    version: ${version}
  data: {}
  json: {}
